Subject: Re: [PATCH] powerpc: Fix call to flush_ptrace_hw_breakpoint()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Feb 2011 16:13:37 +1100

On Mon, 2011-02-07 at 10:22 +0530, K.Prasad wrote:
> Okay! Another wrapper of "#ifndef CONFIG_HAVE_HW_BREAKPOINT" around
> the
> definition of 'set_debug_reg_defaults'.

Can you send a patch ?

> There's indeed too much sprinkling of #ifdefs in the code, but most of
> it would go away when the BookE code also uses the generic
> hw-breakpoint interfaces. 

What's your status for those patches ?

> Given the advanced debug features that BookE supports, it's
> unfortunately not that straight-forward (needs additions to generic
> hw-breakpoint infrastructure).

Might want to move a lot of that code to a separate set of files maybe
and just call a single hook from the various process.c locations ?

Cheers,
Ben.